Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01058 Documentation Typo Have not tried Feb 9, 2008, 04:28 Jul 13, 2008, 14:09
Tester Kold666 View Status Public Platform
Assigned To nicolasa Resolution Fixed OS
Status [?] Resolved Driver champbas.cpp
Version 0.111u2 Fixed in Version 0.126u1 Build
Summary 01058: exctsccrb: Exciting soccer bootleg should be placed in champbas.c.
Description For the sake of documentation, Exciting soccer bootleg should be placed in champbas.c.
Me and f205v have dumped it 2 years ago (same dump as the current one), we documented the hardware saying:

Alpha denshi co. LTD made in Japan
cpu board 58AS1
Display board 58AS2
Voice board 58AS3
KAZUTOMI board
1x Alpha8201 (CPU board)
1x AY-3-8910 (CPU board)
1x Sharp Z80ACPU (CPU board)
1x Sharp Z80ACPU (VOICE board)
3x 2764 (CPU board) (1-2-3)
3x 2764 (VOICE board) (a-b-c)
2x 2764 (DISPLAY board) (4-5)
1x 2764 (daughter board kazutomi) (6)
2x 2732 (daughter board kazutomi) (7-8)

The hardware is very different from Exciting soccer 1 and 2. Most important on board there is an Alpha 8201 mcu instead of the 8301 one.
I have just found that Exciting soccer (bootleg) is a conversion from Championship Baseball 2, look for yourself: http://www.citylan.it/exctsccb/PCB%20component%20side.jpg [citylan.it]
http://www.crazykong.com/pcbs/A%20-%20F/ChampBaseball2.pcb.html [crazykong.com]

I attach a (bad) pic of the kazutomi board, as you can see there is a lot of flying wires from that board to the original display board.

So Exciting soccer bootleg should be placed in champbas.c
Also the frequencies of the bootleg are wrong since they should be identical to the champbas.c games.

As for the following comment in exctsccr.c source:
"I'm using the ROMs from exctscc2, national flags are wrong (ITA replaces USA)"

it's an original bug, the pcb does the same (forget the colours, I wired blue and red wrong on the pcb, but it's enough to see the original bug).
Kazutomi forgot to patch it. The roms are good and have their original stickers (not modified)
Steps To Reproduce
Additional Information exctsccr.c merged into champbas.c for 0.126u1
Flags
Regression Version
Affected Sets / Systems exctsccrb
Attached Files
jpg file icon exctsccb0111u2ora2.jpg (67,730 bytes) Feb 14, 2008, 17:55
jpg file icon kazutomi board.jpg (71,146 bytes) Feb 14, 2008, 17:56
Relationships
There are no relationship linked to this issue.
Notes
1
User avatar
No.01603
nicolasa
Developer
Jul 13, 2008, 14:09
I merged the two drivers.